package com.huimv.admin.service.primary;

import com.huimv.admin.utils.Result;

import java.util.List;

public interface IAuthorizeService {

    Result saveAccountGroup(String accountId, String groupIds);

    Result saveGroupMenu(String groupId, String menuIds);

   // Result getMyMenu(String accountName);
    List getMyMenu(String accountName);

    Result getMenuByGroup(String groupId);

    Result getGroupByAccount(String accountId);

    Result getAccountByGroup(String groupId);

    /*
    * @Method      : getMyMenuAll
    * @Description :
    * @Params      : [accountName]
    * @Return      : java.util.List
    *
    * @Author      : yuxuexuan
    * @Date        : 2021/1/6 0006
    * @Time        : 10:37
    */
    List getMyMenuAll(String accountName);
}
